<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{F7F71589-095A-45C2-975C-739BE2D1CE15}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <RootNamespace>SLC1_N</RootNamespace>
    <AssemblyName>LL28-V25102401</AssemblyName>
    <TargetFrameworkVersion>v4.8</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
    <Deterministic>true</Deterministic>
    <PublishUrl>publish\</PublishUrl>
    <Install>true</Install>
    <InstallFrom>Disk</InstallFrom>
    <UpdateEnabled>false</UpdateEnabled>
    <UpdateMode>Foreground</UpdateMode>
    <UpdateInterval>7</UpdateInterval>
    <UpdateIntervalUnits>Days</UpdateIntervalUnits>
    <UpdatePeriodically>false</UpdatePeriodically>
    <UpdateRequired>false</UpdateRequired>
    <MapFileExtensions>true</MapFileExtensions>
    <ApplicationRevision>0</ApplicationRevision>
    <ApplicationVersion>1.0.0.%2a</ApplicationVersion>
    <IsWebBootstrapper>false</IsWebBootstrapper>
    <UseApplicationTrust>false</UseApplicationTrust>
    <BootstrapperEnabled>true</BootstrapperEnabled>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationIcon>图标一号.ico</ApplicationIcon>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="ClosedXML, Version=0.95.3.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>bin\Debug\ClosedXML.dll</HintPath>
    </Reference>
    <Reference Include="DocumentFormat.OpenXml, Version=2.5.5631.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>DLL\DocumentFormat.OpenXml.dll</HintPath>
    </Reference>
    <Reference Include="EasyModbus, Version=5.6.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\packages\EasyModbusTCP.5.6.0\lib\net40\EasyModbus.dll</HintPath>
    </Reference>
    <Reference Include="Guna.UI">
      <HintPath>DLL\Guna.UI.dll</HintPath>
    </Reference>
    <Reference Include="Guna.UI2">
      <HintPath>DLL\Guna.UI2.dll</HintPath>
    </Reference>
    <Reference Include="HslCommunication, Version=7.0.1.0, Culture=neutral, PublicKeyToken=cdb2261fa039ed67, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>DLL\HslCommunication.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.Office.Interop.Excel, Version=15.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c, processorArchitecture=MSIL">
      <HintPath>..\packages\Microsoft.Office.Interop.Excel.15.0.4795.1001\lib\net20\Microsoft.Office.Interop.Excel.dll</HintPath>
      <EmbedInteropTypes>True</EmbedInteropTypes>
    </Reference>
    <Reference Include="Microsoft.VisualBasic" />
    <Reference Include="Newtonsoft.Json, Version=13.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <HintPath>..\packages\Newtonsoft.Json.13.0.1\lib\net45\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="Spire.XLS, Version=12.10.1.0, Culture=neutral, PublicKeyToken=663f351905198cb3, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>DLL\Spire.XLS.dll</HintPath>
    </Reference>
    <Reference Include="SunnyUI">
      <HintPath>DLL\SunnyUI.dll</HintPath>
    </Reference>
    <Reference Include="SunnyUI.Common">
      <HintPath>DLL\SunnyUI.Common.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Management" />
    <Reference Include="System.Web.Services" />
    <Reference Include="System.Windows.Forms.DataVisualization" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Deployment" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="ActivationManager.cs" />
    <Compile Include="Chart.cs" />
    <Compile Include="ConfigINI.cs" />
    <Compile Include="Form_Activate.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Form_Activate.Designer.cs">
      <DependentUpon>Form_Activate.cs</DependentUpon>
    </Compile>
    <Compile Include="Form_hbMESset.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Form_hbMESset.Designer.cs">
      <DependentUpon>Form_hbMESset.cs</DependentUpon>
    </Compile>
    <Compile Include="Form_NetworkSet.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Form_NetworkSet.Designer.cs">
      <DependentUpon>Form_NetworkSet.cs</DependentUpon>
    </Compile>
    <Compile Include="dllCall.cs" />
    <Compile Include="Electricity.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Electricity.Designer.cs">
      <DependentUpon>Electricity.cs</DependentUpon>
    </Compile>
    <Compile Include="Form1.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Form1.Designer.cs">
      <DependentUpon>Form1.cs</DependentUpon>
    </Compile>
    <Compile Include="Form_PLCconnect.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Form_PLCconnect.Designer.cs">
      <DependentUpon>Form_PLCconnect.cs</DependentUpon>
    </Compile>
    <Compile Include="Form_RootSet.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Form_RootSet.Designer.cs">
      <DependentUpon>Form_RootSet.cs</DependentUpon>
    </Compile>
    <Compile Include="gdMES.cs" />
    <Compile Include="GetIP.cs" />
    <Compile Include="JsonConfig.cs" />
    <Compile Include="LeakCompensate.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="LeakCompensate.Designer.cs">
      <DependentUpon>LeakCompensate.cs</DependentUpon>
    </Compile>
    <Compile Include="Form_LogOn.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Form_LogOn.Designer.cs">
      <DependentUpon>Form_LogOn.cs</DependentUpon>
    </Compile>
    <Compile Include="MES.cs" />
    <Compile Include="ModbusTCP_28.cs" />
    <Compile Include="mxlLog.cs" />
    <Compile Include="NGDatabase.cs" />
    <Compile Include="Form_SaomaSet.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Form_SaomaSet.Designer.cs">
      <DependentUpon>Form_SaomaSet.cs</DependentUpon>
    </Compile>
    <Compile Include="ProductionData.cs" />
    <Compile Include="Program.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="SaomaClient.cs" />
    <Compile Include="Form_Save.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Form_Save.Designer.cs">
      <DependentUpon>Form_Save.cs</DependentUpon>
    </Compile>
    <Compile Include="UDPBroadcast.cs" />
    <Compile Include="UserManagement.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="UserManagement.Designer.cs">
      <DependentUpon>UserManagement.cs</DependentUpon>
    </Compile>
    <Compile Include="UserPassword.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="UserPassword.Designer.cs">
      <DependentUpon>UserPassword.cs</DependentUpon>
    </Compile>
    <Compile Include="Warning.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Warning.Designer.cs">
      <DependentUpon>Warning.cs</DependentUpon>
    </Compile>
    <Compile Include="WindowAutoResizer.cs" />
    <EmbeddedResource Include="Form_Activate.resx">
      <DependentUpon>Form_Activate.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Form_hbMESset.resx">
      <DependentUpon>Form_hbMESset.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Form_NetworkSet.resx">
      <DependentUpon>Form_NetworkSet.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Electricity.resx">
      <DependentUpon>Electricity.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Form1.resx">
      <DependentUpon>Form1.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Form_PLCconnect.resx">
      <DependentUpon>Form_PLCconnect.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Form_RootSet.resx">
      <DependentUpon>Form_RootSet.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="LeakCompensate.resx">
      <DependentUpon>LeakCompensate.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Form_LogOn.resx">
      <DependentUpon>Form_LogOn.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Form_SaomaSet.resx">
      <DependentUpon>Form_SaomaSet.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
      <DesignTime>True</DesignTime>
    </Compile>
    <EmbeddedResource Include="Form_Save.resx">
      <DependentUpon>Form_Save.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UserManagement.resx">
      <DependentUpon>UserManagement.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="UserPassword.resx">
      <DependentUpon>UserPassword.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Warning.resx">
      <DependentUpon>Warning.cs</DependentUpon>
    </EmbeddedResource>
    <None Include="packages.config" />
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\1.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\2.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\3.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\4.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\5.jpg" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\6.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\7.jpg" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\8.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\9.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\10.jpg" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\11.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\12.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\13.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\131.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\15.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\151.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\16.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\微信图片_20200407085137.png" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="DLL\HslCommunication.dll" />
    <EmbeddedResource Include="DLL\SunnyUI.Common.dll" />
    <EmbeddedResource Include="DLL\SunnyUI.dll" />
    <EmbeddedResource Include="DLL\Guna.UI.dll" />
    <EmbeddedResource Include="DLL\Guna.UI2.dll" />
    <EmbeddedResource Include="DLL\libusb-1.0.dll" />
    <EmbeddedResource Include="DLL\microsoft.office.interop.excel.dll" />
    <EmbeddedResource Include="DLL\NetWorkHelper.dll" />
    <EmbeddedResource Include="DLL\Newtonsoft.Json.dll" />
    <EmbeddedResource Include="DLL\USB2XXX.dll" />
    <Content Include="图标一号.ico" />
  </ItemGroup>
  <ItemGroup>
    <COMReference Include="ADOX">
      <Guid>{00000600-0000-0010-8000-00AA006D2EA4}</Guid>
      <VersionMajor>2</VersionMajor>
      <VersionMinor>8</VersionMinor>
      <Lcid>0</Lcid>
      <WrapperTool>tlbimp</WrapperTool>
      <Isolated>False</Isolated>
      <EmbedInteropTypes>True</EmbedInteropTypes>
    </COMReference>
  </ItemGroup>
  <ItemGroup>
    <WCFMetadata Include="Connected Services\" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\tongxin\NetWorkHelper\NetWorkHelper.csproj">
      <Project>{fb7970fd-f699-4093-83d0-509501b7863c}</Project>
      <Name>NetWorkHelper</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <BootstrapperPackage Include=".NETFramework,Version=v4.7.2">
      <Visible>False</Visible>
      <ProductName>Microsoft .NET Framework 4.7.2 %28x86 和 x64%29</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5.SP1">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5 SP1</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>